bug.c File Reference
`#include <ruby.h>`

Go to the source code of this file.

## Functions

static VALUE | bug_i (VALUE i, VALUE arg)
static VALUE | bug_start (VALUE self, VALUE hash)
void | Init_bug (void)

## Function Documentation

static VALUE bug_i | ( | VALUE | i,
|  | VALUE | arg
| ) |  |

static

Definition at line 4 of file bug.c.

References ID2SYM, rb_frame_this_func(), and rb_notimplement().

Referenced by bug_start().

static VALUE bug_start | ( | VALUE | self,
|  | VALUE | hash
| ) |  |

static

Definition at line 11 of file bug.c.

References bug_i(), Qnil, rb_ary_new3(), rb_block_call, and rb_intern.

Referenced by Init_bug().

void Init_bug | ( | void |  | ) |

Definition at line 19 of file bug.c.

References bug_start(), rb_define_module(), and rb_define_module_function().